test/Analysis/iterators.cpp: Mark as REQUIRES:asserts. It crashes due to assertion failure.

I saw the case it XPASSes.

git-svn-id: https://llvm.org/svn/llvm-project/cfe/trunk@160715 91177308-0d34-0410-b5e6-96231b3b80d8
diff --git a/test/Analysis/iterators.cpp b/test/Analysis/iterators.cpp
index 9d7ef32..709b77a 100644
--- a/test/Analysis/iterators.cpp
+++ b/test/Analysis/iterators.cpp
@@ -3,6 +3,8 @@
 
 // FIXME: Does not work with inlined C++ methods.
 // XFAIL: *
+// Crashes due to assertion failure.
+// REQUIRES: asserts
 
 #include <vector>